#table {
    display: table;
}

.fixed-table-toolbar, .fixed-table-pagination {
    padding: 0 10px;
}

.fixed-table-body .select2-selection {
    height: 24px;
    line-height: 26px;
}

.bootstrap-table a {
    /*
		border-bottom: 1px dashed #0088cc;
		*/
    cursor: pointer;
    border-bottom: none;
    color: black;
}

    .bootstrap-table a:hover {
        border-bottom: 1px dashed #0088cc;
    }

.bootstrap-table .needCopy i {
    border-bottom: none;
    cursor: pointer;
    color: #0088cc;
}

#main {
    position: fixed !important;
    right: 0;
    bottom: 0;
    top: 0;
    left: 0;
    padding: 0;
    padding-bottom: 20px;
    overflow: auto;
}

#content {
    height: 100%;
    padding: 0 0 0 0 ;
}

.mui-table-view {
    position: relative;
    margin-top: 0;
    margin-bottom: 0;
    padding-left: 0;
    list-style: none;
    background-color: #fff;
    outline: 0;
}

    .mui-table-view:before {
        position: absolute;
        right: 0;
        left: 0;
        height: 1px;
        content: '';
        -webkit-transform: scaleY(.5);
        transform: scaleY(.5);
        background-color: #c8c7cc;
        top: -1px;
    }

    .mui-table-view:after {
        position: absolute;
        right: 0;
        bottom: 0;
        left: 0;
        height: 1px;
        content: '';
        -webkit-transform: scaleY(.5);
        transform: scaleY(.5);
        background-color: #c8c7cc;
    }

    .mui-table-view .mui-media, .mui-table-view .mui-media-body {
        overflow: hidden;
    }

.mui-table-view-cell {
    position: relative;
    overflow: hidden;
    padding: 11px 15px;
    -webkit-touch-callout: none;
}

    .mui-table-view-cell:after {
        position: absolute;
        right: 0;
        bottom: 0;
        left: 15px;
        height: 1px;
        content: '';
        -webkit-transform: scaleY(.5);
        transform: scaleY(.5);
        background-color: #c8c7cc;
    }

    .mui-table-view-cell > a:not(.mui-btn) {
        position: relative;
        display: block;
        overflow: hidden;
        margin: -11px -15px;
        padding: inherit;
        white-space: nowrap;
        text-overflow: ellipsis;
        color: inherit;
    }

a {
    background: 0 0;
}

.mui-table-view .mui-media-object.mui-pull-left {
    margin-right: 10px;
}

.mui-table-view .mui-media-object {
    line-height: 42px;
    max-width: 42px;
    height: 42px;
}

.mui-pull-left {
    float: left;
}

.mui-table-view .mui-media, .mui-table-view .mui-media-body {
    overflow: hidden;
    font-size: 17px;
}

    .mui-table-view .mui-media, .mui-table-view .mui-media-body p {
        overflow: hidden;
        font-size: 11px;
    }

.mui-table-view-cell p {
    margin-bottom: 0;
}

.mui-ellipsis {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    word-break: break-all;
}

@media only screen and (max-width: 479px) and (min-width: 320px) {
    .jarviswidget header h2 {
        width: 70%;
    }
}

.mui-ellipsis-2 {
    display: -webkit-box;
    overflow: hidden;
    white-space: normal !important;
    text-overflow: ellipsis;
    word-wrap: break-word;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    word-break: break-all;
}
.mui-ellipsis-3 {
    display: -webkit-box;
    overflow: hidden;
    white-space: normal !important;
    text-overflow: ellipsis;
    word-wrap: break-word;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    word-break: break-all;
}
.mui-ellipsis-10 {
    display: -webkit-box;
    overflow: hidden;
    white-space: normal !important;
    text-overflow: ellipsis;
    word-wrap: break-word;
    -webkit-line-clamp: 10;
    -webkit-box-orient: vertical;
    word-break: break-all;
}

.mui-table-view-cell > .mui-slider-right {
    right: 0;
    -webkit-transition: -webkit-transform 0ms ease;
    transition: transform 0ms ease;
    -webkit-transform: translateX(100%);
    transform: translateX(100%);
}

.mui-table-view-cell > .mui-slider-left, .mui-table-view-cell > .mui-slider-right {
    position: absolute;
    top: 0;
    display: -webkit-box;
    display: -webkit-flex;
    display: flex;
    height: 100%;
}

.anchorBL {
    display: none;
}

#addStationModal .modal-footer {
    padding: 15px 10px 5px 10px;
}

#addStationModal li.active a {
    box-shadow: 0 2px 0 #57889C;
    margin-top: -1px !important;
}

#stationsDiv {
    height: 300px;
    overflow-y: auto !important;
    border-top: 1px solid #e5e5e5;
    border-bottom: 1px solid #ccc;
}

#addStationTable {
    width: 100%;
    height: 320px;
}

.ul li:after {
    /* position:  absolute; */
    position: absolute;
    right: 0;
    bottom: 0;
    left: 0;
    height: 1px;
    content: '';
    -webkit-transform: scaleY(.5);
    transform: scaleY(.5);
    background-color: #c8c7cc;
}

.ul li {
    position: relative;
    overflow: hidden;
    padding: 11px 15px;
    font-size: 16px;
    cursor: pointer;
    transition: all 100ms;
}

    .ul li:hover {
        background-color: #f5f5f5;
    }

.ul {
    margin: 0;
    padding: 0;
    position: relative;
    /* margin-top: 0; */
    /* margin-bottom: 0; */
    /* padding-left: 0; */
    list-style: none;
    background-color: #fff;
    overflow: auto;
    height: calc(100% - 44px);
    overflow: -moz-scrollbars-none;
    -ms-overflow-style: none;
}

    .ul::-webkit-scrollbar {
        width: 0;
    }

    .ul li p {
        font-size: 10px;
        margin: 7px 0 1px 0;
    }

.ellipsis {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.ul li:hover .ellipsis {
    white-space: initial;
    transition: all 1s;
}

.header, .fixed-table-toolbar.panel-heading {
    position: relative;
    z-index: 10;
    right: 0;
    left: 0;
    height: 44px;
    padding-right: 10px;
    padding-left: 10px;
    background-color: #f7f7f7;
    box-shadow: 1px -1px 13px 0px #ccc;
}


.fixed-table-toolbar.panel-heading {
    box-shadow: 4px -1px 13px 0px #ccc;
}

    .fixed-table-toolbar.panel-heading .columns {
        margin-top: 7px;
    }

    .header .title, .fixed-table-toolbar.panel-heading .title {
        font-size: 16px;
        line-height: 50px;
        position: absolute;
        display: block;
        margin: 0 -10px;
        text-align: center;
        white-space: nowrap;
        color: #000;
        font-weight: lighter;
        left: 44px;
        right: 44px;
    }

.header label, #toolbar > label {
    font-size: 18px;
    padding: 15px 5px 0 0;
    color: #18a689;
    cursor: pointer;
    z-index: 2;
}

    .header > label:hover, #toolbar > label :hover {
        cursor: pointer;
        color: #f7a54a;
        transition: all 500ms;
    }

.form-horizontal .form-group {
    margin-left: 0;
    margin-right: 0;
}

.form-group {
    margin-bottom: 25px;
}

.remove-confirm .form-control[disabled] {
    cursor: default;
}


#SkillEditContent,#LevelEditContent {
    height: 100%;
    background-color: #efefef;
    z-index: 3;
    opacity: 0;
    display: none;
}

#showContent:checked ~ #SkillEditContent,#showContent:checked ~ #LevelEditContent {
    animation: showMovRighterToRight forwards ease-in 0.15s;
    display: block;
}

#hideContent:checked ~ #SkillEditContent, #hideContent:checked ~ #LevelEditContent {
    animation: hideMoveRightToRighter forwards ease-out 0.15s;
    display: block;
}

#skillParentNav, #skillNav, #levelNav{
    padding: 0;
    height: 100%;
    border-right: solid 1px #ddd;
    position: absolute;
    overflow: hidden;
    display: none;
    background-color: #efefef;
    opacity: 0;
}

#skillNav {
    z-index: 2;
}

#levelNav {
    display:block;
    opacity:1;
}

    #showNav:checked ~ #skillNav {
    animation: showMovRighterToRight forwards ease-in 0.15s;
    display: block;
}

#hideNav:checked ~ #skillNav {
    animation: hideMoveRightToRighter forwards ease-out 0.15s;
    display: block;
}

#skillParentNav {
    z-index: 1;
}

#hideNav:checked ~ #skillParentNav {
    animation: showMoveLeftToRight forwards ease-in 0.15s;
    display: block;
}

#showNav:checked ~ #skillParentNav {
    animation: hideMoveLeftToLefter forwards ease-out 0.15s;
    display: block;
}


@keyframes showmove {
    0% {
        opacity: 0;
        left: 25%;
    }

    100% {
        opacity: 1;
        left: 0%;
    }
}

@keyframes showMoveLeftToRight {
    0% {
        opacity: 0;
        left: 25%;
    }

    100% {
        opacity: 1;
        left: 0%;
    }
}

@keyframes showMovRighterToRight {
    0% {
        opacity: 0;
        left: 25%;
    }

    100% {
        opacity: 1;
        left: 0%;
    }
}

@keyframes hideMoveLeftToLefter {
    0% {
        opacity: 1;
        left: 0%;
    }

    99% {
        opacity: 0;
        left: -25%;
    }

    100% {
        left: -101%;
    }
}

@keyframes hideMoveRightToRighter {
    0% {
        opacity: 1;
        left: 0%;
    }

    99% {
        opacity: 0;
        left: 25%;
    }

    100% {
        left: -101%;
    }
}

.fc-head-container thead tr, .table thead tr {
    background-color: initial;
}

.deletebtn, .movebtn, .copybtn {
    cursor: pointer;
}

ul li.addNavBtn {
    color: #ccc;
    text-align: center;
    padding: 10px 20px 17px 0px;
}

ul li .btn-group {
    opacity: 0;
    transition: all 300ms;
}

ul li:hover .btn-group {
    opacity: 1;
}

.addNavBtn i {
    font-size: 30px;
    padding-top: 0;
    position: relative;
    top: 4px;
    padding-right: 10px;
}

.addNavBtn span {
    margin-top: -10px;
    position: relative;
    color: #999;
}
